package com.ruoyi.project.business.task;

import com.ruoyi.project.business.service.task.LeadTaskService;
import lombok.RequiredArgsConstructor;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Component;

/**
 * @author : fangk
 * @date : 2024/4/23 18:38
 * @desc : LeadTask 线索任务
 */


@Component("leadJob")
@RequiredArgsConstructor
public class LeadTask {

    private static final Logger log = LoggerFactory.getLogger(LeadTask.class);
    private final LeadTaskService leadTaskService;


    /**
     * 市场部无需手动分配线索，系统根据线索所属区域自动分配给对应的区总
     */
    public void autoAssignLead() {
        log.info("市场部线索自动分配任务开始");

        leadTaskService.autoAssignLead();

        log.info("市场部线索自动分配任务结束");
    }

}